Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 619842 - Attached email message is empty in forwarded email
Attached email message is empty in forwarded email
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-mapi (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: Regression, Reopened
Depends On:
Blocks: 662543
  Show dependency treegraph
 
Reported: 2010-07-30 13:01 EDT by Jiri Koten
Modified: 2014-01-02 06:10 EST (History)
3 users (show)

See Also:
Fixed In Version: evolution-mapi-0.32.2-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:57:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 599311 None None None Never
Red Hat Product Errata RHSA-2013:1540 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-20 19:40:51 EST

  None (edit)
Description Jiri Koten 2010-07-30 13:01:42 EDT
Description of problem:
When I receive forwarded mail (i.e., received as a new message), attached original email msg is displayed correctly, but when I try to view this mail later, original msg is missing. There is only attached empty mail with subject: No Subject. If I try to download this attachment, I get the same empty email.

This happens when using evo with MS Exchange 2007.

Version-Release number of selected component (if applicable):
evolution-2.28.3-8.el6.x86_64
evolution-mapi-0.28.3-5.el6.x86_64
openchange-0.9-7.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.forward yourself some mail
2.click send/receive
3.view this mail
4.close evo
5.open evo and view the mail again
  
Actual results:
attached original email message is missing
Comment 3 Matthew Barnes 2010-08-03 14:52:29 EDT
I assume step 1 requires "Forward as Attached" as opposed to quoted or inline?
Comment 4 Matthew Barnes 2010-08-03 16:01:58 EDT
Confirming, I just reproduced it myself using "Forward as Attached".

Looks like the issue was fixed in a subsequent release.  Unfortunately the patch appears quite large and invasive and the author of the patch is on vacation for the next three weeks.

Note the attachment is not lost, I think it's just not being read and/or parsed from the cache properly.  I found the "lost" attachment intact under

   ~/.evolution/mail/mapi/<<account-id>>/folders/.../Inbox/cache

Upstream bug:
https://bugzilla.gnome.org/show_bug.cgi?id=599311

Upstream commit:
http://git.gnome.org/browse/evolution-mapi/commit/?id=f0376d03f32308a0d403f20ed7e53879a222ebd4
Comment 5 Matthew Barnes 2010-08-11 11:13:22 EDT
Punting this to 6.1 since the author of the upstream patch is still on vacation and patch itself is too invasive to commit at the 11th hour.
Comment 6 RHEL Product and Program Management 2010-08-11 11:15:03 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 7 Matthew Barnes 2010-08-11 11:17:44 EDT
Reopening for 6.1.
Comment 8 Milan Crha 2010-11-23 12:01:20 EST
Patch should be applicable (maybe with some changes). It was only getting common functions into a util file, and then used them from there.
Comment 9 RHEL Product and Program Management 2011-01-07 10:31:59 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 11 Jiri Koten 2013-09-10 10:33:29 EDT
This issue is back after rebase to evolution 2.32. The attachment contains incomplete forwarded msg, only part of headers. When I check the msg on server (using OWA) the msg is complete, therefor Evolution sent the forwared msg ok, but have problem to download it.

Reproducer:

1) Select a msg and forward it to yourself
2) Sync the account
3) Check the forwarded msg - the original msg should be attached  

evolution-mapi-0.32.2-6.el6
openchange-1.0-4.el6
Comment 13 Milan Crha 2013-09-11 06:16:06 EDT
I have a fix for evolution-mapi, to properly tag the message attachment, thus evolution itself shows it properly, though the main problem is in a way how evolution-mapi writes the attached message into the server. Newer version of evolution-mapi does it correctly, which means that it writes message attachments as embedded messages into the MAPI object, while 0.32.2 writes them as ordinary attachments. The difference can be seen in OWA (and Outlook), where embedded message attachments can be viewed in the web UI, while messages as plain attachments has name like ATT30306.eml‎ (605 B‎) in OWA and evolution, and these cannot be viewed directly in web UI.

Backport of a concrete fix in evolution-mapi involves many consecutive changes, which doesn't worth the effort from my point of view, especially when we promote evolution-ews over evolution-mapi since RHEL 6.5.
Comment 18 errata-xmlrpc 2013-11-20 23:57:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.